Now Available: Zoom AI Services Summarizer & Translator APIs.
APIsMCPBlogChangelogAgent Skills
Help
/
Chat
APIWebhooks
View as MarkdownDownload OpenAPI
APIsMCPBlogChangelogAgent SkillsHelp
Theme

Chat Webhooks

  • OpenAPI Version: 3.1.1
  • API Version: 1.0.0

The Team Chat webhooks allow developers to receive events for Team Chat features.

Servers

  • URL: https://{your-endpoint-url}

Operations

team_chat.shared_spaces_member_left

  • Method: POST
  • Path: team_chat.shared_spaces_member_left
  • Tags: webhook

The Member has left space event triggers when a member has left a shared space.

Prerequisites

  • A Pro or higher plan.
  • Event subscriptions must be enabled for your Marketplace app with the following configurations:
    • A valid Event notification endpoint URL
    • The Member has left space subscription must be enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who left the space. This value returns an empty string for external users.

    • object (required)

      object — Information about the shared space.

      • space_id (required)

        string — The ID of the space that was left.

      • space_name (required)

        string — The name of the space that was left.

      • timestamp (required)

        integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

    • operator (required)

      string, format: email — The email address of the user who left the space. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who who left the space. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who who left the space.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "space_id": "",
      "space_name": "",
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_invitation_removed

  • Method: POST
  • Path: team_chat.channel_invitation_removed
  • Tags: webhook

The Team Chat channel invitation removed event triggers when an inviter removed the chat channel invitation which previously he created.

Prerequisites

  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat channel invitation removed subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who removed the chat channel invitation. This value returns an empty string for external users.

    • object (required)

      object — Information about the invitation.

      • invitee (required)

        object — Information about the invitee.

        • display_name (required)

          string — The display name of the user who is invited.

        • member_id

          string — The member ID of the user who is invited.

        • user_email

          string, format: email — The email address of the user who is invited. This value returns an empty string for external users.

      • inviters (required)

        array — Information about the inviters.

        Items:
        • date_created (required)

          string, format: date-time — The date and time at which the user created the chat channel invitation, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

        • display_name (required)

          string — The display name of the user created invited the chat channel invitation.

        • member_id (required)

          string — The member ID of the user who created the chat channel invitation.

        • user_email (required)

          string, format: email — The email address of the user created invited the chat channel invitation. This value returns an empty string for external users.

        • user_id (required)

          string — The user ID of the user who created the chat channel invitation. This value returns an empty string for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat channel invitation was removed.

      • channel

        object — Information about the chat channel. This object is blank for external channel.

        • channel_id (required)

          string — The chat channel's ID.

        • channel_name (required)

          string — The chat channel's name.

        • type (required)

          integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • date_time

        string, format: date-time — The date and time at which the chat channel invitation was removed, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • organization

        object — Information about organization of channel owner. This object is blank for external organization.

        • org_id (required)

          string — The organization's ID.

        • org_name (required)

          string — The organization's name.

    • operator (required)

      string, format: email — The email address of the user who removed the chat channel invitation. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who removed the chat channel invitation. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who removed the chat channel invitation.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "organization": {
        "org_id": "",
        "org_name": ""
      },
      "channel": {
        "channel_id": "",
        "channel_name": "",
        "type": 1
      },
      "invitee": {
        "display_name": "",
        "user_email": "",
        "member_id": ""
      },
      "inviters": [
        {
          "user_id": "",
          "display_name": "",
          "user_email": "",
          "member_id": "",
          "date_created": ""
        }
      ],
      "date_time": "",
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.emoji_added

  • Method: POST
  • Path: team_chat.emoji_added
  • Tags: webhook

The Custom emoji added event is triggered when a user adds a custom emoji.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Custom emoji added subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who added the custom emoji.

    • object (required)

      object — Information about the custom emoji.

      • file_id (required)

        string — The custom emoji's file ID.

      • name (required)

        string — The custom emoji's name.

    • operator (required)

      string, format: email — The email address of the user who added the custom emoji.

    • operator_id (required)

      string — The user ID of the user who added the custom emoji.

    • operator_member_id (required)

      string — The member ID of the user who added the custom emoji.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "name": "",
      "file_id": ""
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.file_changed

  • Method: POST
  • Path: team_chat.file_changed
  • Tags: webhook

This event is triggered when a user changes files in Team Chat.

The event is sent to the event subscription endpoints of the installed apps for the user who changed the files.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Team chat file changed subscription is enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who changed the files.

    • object (required)

      object — Information about the files.

      • files (required)

        array — The files' information.

        Items:
        • file_id (required)

          string — The file's ID.

        • file_name (required)

          string — The file's name.

        • file_size (required)

          integer — The file's size, in bytes.

        • OS_file_type (required)

          string — The file's extension type.

    • operator (required)

      string, format: email — The email address of the user who changed the files.

    • operator_id (required)

      string — The user ID of the user who changed the files.

    • operator_member_id (required)

      string — The member ID of the user who changed the files.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "files": [
        {
          "file_id": "",
          "file_name": "",
          "file_size": 1,
          "OS_file_type": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_join_declined

  • Method: POST
  • Path: team_chat.channel_join_declined
  • Tags: webhook

The Team Chat channel join declined event triggers when the join request is declined. For the invitation workflow, it both needs the admin of the channel owner and requester to approve when the channel account and requester account enable the Require admin approval for inviting external users in group chats and channels option. Also the join requster finally needs the channel owner to approve.

Prerequisites

  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat channel join declined subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who declined the channel join request. This value returns an empty string for external users.

    • object (required)

      object — Information about the request.

      • date_time (required)

        string, format: date-time — The date and time at which the chat channel join request was declined, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • requester (required)

        object — Information about the requester.

        • display_name (required)

          string — The display name of the user who requested to join this chat channel.

        • member_id (required)

          string — The member ID of the user who requested to join this chat channel.

        • user_email (required)

          string, format: email — The email address of the user who requested to join this chat channel. This value returns an empty string for external users.

        • user_id (required)

          string — The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat channel join request was declined.

      • channel

        object — Information about the chat channel. This object is blank for external channel.

        • channel_id (required)

          string — The chat channel's ID.

        • channel_name (required)

          string — The chat channel's name.

        • type (required)

          integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • organization

        object — Information about organization of channel owner. This object is blank for external organization.

        • org_id (required)

          string — The organization's ID.

        • org_name (required)

          string — The organization's name.

      • type

        string, possible values: "by_channel_owner_account_admin", "by_requester_account_admin", "by_channel_owner" — The operation type of this event: * `by_channel_owner_account_admin` — The join request is approved or declined by channel owner account admin. * `by_requester_account_admin` — The join request is approved or declined by requester account admin. * `by_channel_owner` — The join request is approved or declined by channel owner.

    • operator (required)

      string, format: email — The email address of the user who declined the channel join request. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who declined the channel join request. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who declined the channel join request.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "organization": {
        "org_id": "",
        "org_name": ""
      },
      "channel": {
        "channel_id": "",
        "channel_name": "",
        "type": 1
      },
      "requester": {
        "user_id": "",
        "display_name": "",
        "user_email": "",
        "member_id": ""
      },
      "date_time": "",
      "timestamp": 1,
      "type": "by_channel_owner_account_admin"
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.member_joined

  • Method: POST
  • Path: chat_channel.member_joined
  • Tags: webhook

The Member Joined event is triggered when a user manually joins a public chat channel or joins via the Join a Channel API. Users can also manually join public chat channels using either the Zoom desktop client or the Zoom mobile app. This event does not trigger if someone invites the user join the channel.

Zoom users can search for public chat channels created by other users in the same Zoom account and join those channels.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Member Joined subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who joined the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the user joined the chat channel, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the user joined the chat channel.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who joined the chat channel.

    • operator_id (required)

      string — The user ID of the user who joined the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_message.updated

  • Method: POST
  • Path: chat_message.updated
  • Tags: webhook

The Chat Message Updated event is triggered when a user updates a message that was previously sent to a contact or a chat channel.

Zoom users can edit messages previously sent to contacts and channels. Users can manually edit messages using the Zoom desktop client or the Zoom mobile app. Users can also edit messages programmatically using the Update a Message API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Chat Message Updated subscription enabled under the Chat Message event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who updated the message.

    • object (required)

      object — Information about the message.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • contact_email (required)

        string — The email address of the message contact to whom the message was sent.

      • contact_id (required)

        string — The message contact's user ID.

      • date_time (required)

        string, format: date-time — The date and time at which the message was updated, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The message's unique ID.

      • message (required)

        string — The updated message content.

      • session_id (required)

        string — The chat session's unique ID.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the message was updated.

      • type (required)

        string, possible values: "to_contact", "to_channel" — Whether the message was sent to a chat channel or an individual contact: * `to_contact` — The message was sent to a contact. * `to_channel` — The message was sent to a chat channel.

    • operator (required)

      string, format: email — The email address of the user who updated the message.

    • operator_id (required)

      string — The user ID of the user who updated the message.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "id": "",
      "type": "to_contact",
      "date_time": "",
      "timestamp": 1,
      "session_id": "",
      "contact_email": "",
      "contact_id": "",
      "channel_id": "",
      "channel_name": "",
      "message": ""
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.deleted

  • Method: POST
  • Path: chat_channel.deleted
  • Tags: webhook

The Chat Channel Deleted event is triggered when a chat channel administrator deletes the channel.

A chat channel administrator can delete a channel. Deleting a channel permanently removes all channel conversations, files, and other information. There is no way to recover this information.

You can manually delete a chat channel using either the Zoom desktop client or the Zoom mobile app. You can also delete a channel programmatically using the Delete a Channel API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Chat Channel Deleted subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who deleted the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the chat channel was deleted, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat channel was deleted.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who deleted the chat channel.

    • operator_id (required)

      string — The user ID of the user who deleted the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_message.deleted

  • Method: POST
  • Path: chat_message.deleted
  • Tags: webhook

The Chat Message Deleted event is triggered when a user deletes a chat message that was previously sent to a contact or a chat channel.

Zoom users can delete messages previously sent to contacts and channels. When a user deletes a message, the message recipients will no longer be able to view the message. Users can manually delete messages using the Zoom desktop client or the Zoom mobile app. Users can also delete messages programmatically using the Delete a Message API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Chat Message Deleted subscription enabled under the Chat Message event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who deleted the message.

    • object (required)

      object — Information about the message.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • contact_email (required)

        string — The email address of the contact to whom the message was sent.

      • contact_id (required)

        string — The message contact's user ID.

      • date_time (required)

        string, format: date-time — The date and time at which the message was deleted, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The message's unique ID.

      • message (required)

        string — The deleted message content.

      • session_id (required)

        string — The chat session's unique ID.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the message was deleted.

      • type (required)

        string, possible values: "to_contact", "to_channel" — Whether the message was sent to a chat channel or an individual contact: * `to_contact` — The message was sent to a contact. * `to_channel` — The message was sent to a chat channel.

    • operator (required)

      string, format: email — The email address of the user who deleted the message.

    • operator_id (required)

      string — The user ID of the user who deleted the message.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "id": "",
      "type": "to_contact",
      "date_time": "",
      "timestamp": 1,
      "session_id": "",
      "contact_email": "",
      "contact_id": "",
      "channel_id": "",
      "channel_name": "",
      "message": ""
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.emoji_removed

  • Method: POST
  • Path: team_chat.emoji_removed
  • Tags: webhook

The Custom emoji removed event is triggered when a user removes a custom emoji.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Custom emoji removed subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who removed the custom emoji.

    • object (required)

      object — Information about the custom emoji.

      • file_id (required)

        string — The custom emoji's file ID.

      • name (required)

        string — The custom emoji's name.

    • operator (required)

      string, format: email — The email address of the user who removed the custom emoji.

    • operator_id (required)

      string — The user ID of the user who removed the custom emoji.

    • operator_member_id (required)

      string — The member ID of the user who removed the custom emoji.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "name": "",
      "file_id": ""
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_pin_added

  • Method: POST
  • Path: team_chat.channel_pin_added
  • Tags: webhook

The Message pinned event triggers when a pin is added to a chat channel.

If the Store messages in Zoom's cloud setting is disabled, this webhook will not be triggered.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Message pinned subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who pinned the chat message. If this action is performed by an external user, the value of the `account_id` will be an empty string.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — Information about the chat channel and the pinned message.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • date_time (required)

        string, format: date-time — The date and time at which the chat message was pinned, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • message (required)

        string — The pinned message's content.

      • message_id (required)

        string — The pinned message's ID.

      • message_timestamp (required)

        integer, format: int64 — The timestamp for when the pinned message was sent.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat message was pinned.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • files

        array — The files info in the pinned message's content. Only when the pinned message contains files, the payload will include the `files`.

        Items:
        • file_id (required)

          string — The attachment's file ID.

        • file_message_type (required)

          string, possible values: "file", "image", "audio", "audio v2", "code snippet", "screen shot" — The attachment's file type.

        • file_name (required)

          string — The attachment's file name.

        • file_size (required)

          integer — The attachment's file size in bytes.

        • OS_file_type (required)

          string — The attachment's extension type.

      • rich_text

        array — The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the pinned message. Only when the pinned message contains rich texts, the payload will include the `rich_text`.

        Items:
        • end_position (required)

          integer — The end position of the rich text.

        • format_type (required)

          string, possible values: "Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink" — The type of rich text.

        • start_position (required)

          integer — The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0.

        • format_attr

          string — Only when the `format_type` field is listed below, the payload will include the `format_attr`: 1.`FontSize` value: `s` for small, `m` for medium, or `l` for large font size. 2.`FontColor` and `BackgroundColor` value: only supports RGB value. For example: `FFC0CB` 3.`LeftIndent` value: a positive pixel length. 4.`Paragraph` value: `h1` for Heading 1, `h2` for Heading 2, or `h3` for Heading 3. 5.`AddLink` value: must be a valid URL, with an `http` or `https` prefix. For example: `https://example.com`

    • operator (required)

      string, format: email — The email address of the user who pinned the chat message. If this action is performed by an external user, the value of the `operator` will be an empty string.

    • operator_id (required)

      string — The user ID of the user who pinned the chat message. If this action is performed by an external user, the value of the `operator_id` will be an empty string.

    • operator_member_id (required)

      string — The member ID of the user who pinned the chat message.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "channel_name": "",
      "channel_id": "",
      "type": 1,
      "message_id": "",
      "message": "",
      "message_timestamp": 1,
      "date_time": "",
      "timestamp": 1,
      "files": [
        {
          "OS_file_type": "",
          "file_id": "",
          "file_message_type": "file",
          "file_name": "",
          "file_size": 1
        }
      ],
      "rich_text": [
        {
          "start_position": 1,
          "end_position": 1,
          "format_type": "Bold",
          "format_attr": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.dm_reaction_added

  • Method: POST
  • Path: team_chat.dm_reaction_added
  • Tags: webhook

The Team Chat direct reaction added event triggers when a user sends a reaction under a chat message of a contact and the app is installed for the message receiver user.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat direct reaction added subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who added the emoji. This value returns an empty string for external users.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — Information about the emoji.

      • contact_email (required)

        string, format: email — The email address of the contact to whom the emoji was added. This value returns an empty string for external users.

      • contact_id (required)

        string — The user ID of the contact to whom the emoji was added. This value returns an empty string for external users.

      • contact_member_id (required)

        string — The member ID of the contact to whom the emoji was added.

      • emoji (required)

        string — If the emoji is customzied, it returns the emoji's name. If the emoji is default, it will return unicode of this emoji.

      • emoji_time (required)

        string, format: date-time — The date and time at which the emoji was added to the message, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • msg_id (required)

        string — The ID of chat message where the emoji was added

      • msg_time (required)

        string, format: date-time — The date and time at which the message was added, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the emoji was added to a message.

    • operator (required)

      string, format: email — The email address of the user who added the emoji. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who added the emoji. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who added the emoji.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "msg_id": "",
      "msg_time": "",
      "emoji_time": "",
      "emoji": "",
      "timestamp": 1,
      "contact_email": "",
      "contact_id": "",
      "contact_member_id": ""
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_archived

  • Method: POST
  • Path: team_chat.channel_archived
  • Tags: webhook

The Chat channel archived event triggers when a chat channel owner archives the channel.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Chat channel archived subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who archived the chat channel. If this action is performed by an external user, the value of the `account_id` will be an empty string.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the chat channel was archived, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat channel was archived.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who archived the chat channel. If this action is performed by an external user, the value of the `operator` will be an empty string.

    • operator_id (required)

      string — The user ID of the user who archived the chat channel. If this action is performed by an external user, the value of the `operator_id` will be an empty string.

    • operator_member_id (required)

      string — The member ID of the user who archived the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.bookmark_removed

  • Method: POST
  • Path: team_chat.bookmark_removed
  • Tags: webhook

The Message bookmark removed event triggers when user removes a bookmark to a message.

If the Store messages in Zoom's cloud setting is disabled, this webhook will not be triggered.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Message bookmark removed subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who unbookmarked the message.

    • object (required)

      object — Information about the unbookmarked message.

      • by_external_user (required)

        boolean — Whether this message was sent by an external user.

      • date_time (required)

        string, format: date-time — The date and time at which the message was unbookmarked, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • message (required)

        string — The unbookmarked message's content.

      • message_id (required)

        string — The unbookmarked message's ID.

      • message_timestamp (required)

        integer, format: int64 — The timestamp for when the unbookmarked message was sent.

      • sender (required)

        string — The message sender's email address. If this message was sent by an external user and the `type` is `to_channel`, the value of the `sender` will be an empty string.

      • sender_id (required)

        string — The message sender's user ID. If this message was sent by an external user, the value of the `sender_id` will be an empty string.

      • sender_member_id (required)

        string — The message sender's member ID.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the message was unbookmarked.

      • type (required)

        string, possible values: "to_contact", "to_channel" — The type of message: * `to_contact` — The message was sent to a contact. * `to_channel` — The message was sent to a chat channel.

      • channel_id

        string — The chat channel's ID. Only when the `type` is `to_channel`, the payload will include the `channel_id`.

      • files

        array — The files info in the unbookmarked message's content. Only when the unbookmarked message contains files, the payload will include the `files`.

        Items:
        • file_id (required)

          string — The attachment's file ID.

        • file_message_type (required)

          string, possible values: "file", "image", "audio", "audio v2", "code snippet", "screen shot" — The attachment's file type.

        • file_name (required)

          string — The attachment's file name.

        • file_size (required)

          integer — The attachment's file size in bytes.

        • OS_file_type (required)

          string — The attachment's extension type.

      • rich_text

        array — The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unbookmarked message. Only when the unbookmarked message contains rich texts, the payload will include the `rich_text`.

        Items:
        • end_position (required)

          integer — The end position of the rich text.

        • format_type (required)

          string, possible values: "Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink" — The type of rich text.

        • start_position (required)

          integer — The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0.

        • format_attr

          string — Only when the `format_type` field is listed below, the payload will include the `format_attr`: 1.`FontSize` value: `s` for small, `m` for medium, or `l` for large font size. 2.`FontColor` and `BackgroundColor` value: only supports RGB value. For example: `FFC0CB` 3.`LeftIndent` value: a positive pixel length. 4.`Paragraph` value: `h1` for Heading 1, `h2` for Heading 2, or `h3` for Heading 3. 5.`AddLink` value: must be a valid URL, with an `http` or `https` prefix. For example: `https://example.com`

    • operator (required)

      string, format: email — The email address of the user who unbookmarked the message.

    • operator_id (required)

      string — The user ID of the user who unbookmarked the message.

    • operator_member_id (required)

      string — The member ID of the user who unbookmarked the message.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "type": "to_contact",
      "channel_id": "",
      "message_id": "",
      "message": "",
      "message_timestamp": 1,
      "sender": "",
      "sender_id": "",
      "sender_member_id": "",
      "by_external_user": true,
      "date_time": "",
      "timestamp": 1,
      "files": [
        {
          "OS_file_type": "",
          "file_id": "",
          "file_message_type": "file",
          "file_name": "",
          "file_size": 1
        }
      ],
      "rich_text": [
        {
          "start_position": 1,
          "end_position": 1,
          "format_type": "Bold",
          "format_attr": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_pin_removed

  • Method: POST
  • Path: team_chat.channel_pin_removed
  • Tags: webhook

The Message unpinned event triggers when a pin is removed from a chat channel.

If the Store messages in Zoom's cloud setting is disabled, this webhook will not be triggered.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Message unpinned subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the `account_id` will be an empty string.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — Information about the chat channel and the unpinned message.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • date_time (required)

        string, format: date-time — The date and time at which the chat message was unpinned, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • message (required)

        string — The unpinned message's content.

      • message_id (required)

        string — The unpinned message's ID.

      • message_timestamp (required)

        integer, format: int64 — The timestamp for when the unpinned message was sent.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat message was unpinned.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • files

        array — The files info in the unpinned message's content. Only when the unpinned message contains files, the payload will include the `files`.

        Items:
        • file_id (required)

          string — The attachment's file ID.

        • file_message_type (required)

          string, possible values: "file", "image", "audio", "audio v2", "code snippet", "screen shot" — The attachment's file type.

        • file_name (required)

          string — The attachment's file name.

        • file_size (required)

          integer — The attachment's file size in bytes.

        • OS_file_type (required)

          string — The attachment's extension type.

      • rich_text

        array — The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unpinned message. Only when the unpinned message contains rich texts, the payload will include the `rich_text`.

        Items:
        • end_position (required)

          integer — The end position of the rich text.

        • format_type (required)

          string, possible values: "Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink" — The type of rich text.

        • start_position (required)

          integer — The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0.

        • format_attr

          string — Only when the `format_type` field is listed below, the payload will include the `format_attr`: 1.`FontSize` value: `s` for small, `m` for medium, or `l` for large font size. 2.`FontColor` and `BackgroundColor` value: only supports RGB value. For example: `FFC0CB` 3.`LeftIndent` value: a positive pixel length. 4.`Paragraph` value: `h1` for Heading 1, `h2` for Heading 2, or `h3` for Heading 3. 5.`AddLink` value: must be a valid URL, with an `http` or `https` prefix. For example: `https://example.com`

    • operator (required)

      string, format: email — The email address of the user who unpinned the chat message. If this action is performed by an external user, the value of the `operator` will be an empty string.

    • operator_id (required)

      string — The user ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the `operator_id` will be an empty string.

    • operator_member_id (required)

      string — The member ID of the user who unpinned the chat message.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "channel_name": "",
      "channel_id": "",
      "type": 1,
      "message_id": "",
      "message": "",
      "message_timestamp": 1,
      "date_time": "",
      "timestamp": 1,
      "files": [
        {
          "OS_file_type": "",
          "file_id": "",
          "file_message_type": "file",
          "file_name": "",
          "file_size": 1
        }
      ],
      "rich_text": [
        {
          "start_position": 1,
          "end_position": 1,
          "format_type": "Bold",
          "format_attr": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_join_approval_requested

  • Method: POST
  • Path: team_chat.channel_join_approval_requested
  • Tags: webhook

The Team Chat channel join approval requested event triggers when the channel account or requester account enable the Require admin approval for inviting external users in group chats and channels option and it needs them to approve the invitation. The event also triggers when it needs the channel owner to approve the join request.

You can use this event to notify the channel owner admin, requester admin, or channel owner to approve a join request.

Prerequisites

  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • object (required)

      object — Information about the request.

      • date_time (required)

        string, format: date-time — The date and time at which this approval request is sent, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • requester (required)

        object — Information about the requester.

        • display_name (required)

          string — The display name of the user who requested to join this chat channel.

        • member_id (required)

          string — The member ID of the user who requested to join this chat channel.

        • user_email (required)

          string, format: email — The email address of the user who requested to join this chat channel. This value returns an empty string for external users.

        • user_id (required)

          string — The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp for when this approval request is sent.

      • type (required)

        string, possible values: "to_channel_account_admin", "to_requester_account_admin", "to_channel_owner" — The type of this approval request: * `to_requester_account_admin` — The request needs approval of requster account admin. * `to_channel_account_admin` — The request needs approval of channel owner account admin. * `to_channel_owner` — The request needs approval of channel owner.

      • channel

        object — Information about the chat channel. This object is blank for external channel.

        • channel_id (required)

          string — The chat channel's ID.

        • channel_name (required)

          string — The chat channel's name.

        • type (required)

          integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • organization

        object — Information about organization of channel owner. This object is blank for external organization.

        • org_id (required)

          string — The organization's ID.

        • org_name (required)

          string — The organization's name.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "object": {
      "organization": {
        "org_id": "",
        "org_name": ""
      },
      "channel": {
        "channel_id": "",
        "channel_name": "",
        "type": 1
      },
      "requester": {
        "user_id": "",
        "display_name": "",
        "user_email": "",
        "member_id": ""
      },
      "date_time": "",
      "timestamp": 1,
      "type": "to_channel_account_admin"
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.file_downloaded

  • Method: POST
  • Path: team_chat.file_downloaded
  • Tags: webhook

The Team Chat file downloaded event triggers when a user downloads a file sent in the IM chat. The file could be from a contact or a channel.

Prerequisites

  • A Pro or a higher plan.
  • Enable Event subscriptions for your OAuth app with:
    • A valid Event notification endpoint URL.
    • Enable the Team Chat file downloaded subscription under the Chat Message event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who downloaded the team chat file. This value returns blank for external users.

    • object (required)

      object — Information about the chat message file.

      • file (required)

        object — Information about the team chat message file.

        • file_id (required)

          string — The team chat file's universally unique identifier (UUID), in base64-encoded format.

        • file_name (required)

          string — The team chat file's name.

        • file_owner_member_id (required)

          string — The member ID of the user who uploaded the team chat file.

        • file_size (required)

          integer — The team chat file's size, in bytes.

        • file_type (required)

          string — The team chat file's type.

        • file_owner_id

          string — The user ID of the user who uploaded the team chat file. This value returns blank for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp when the message was sent.

      • channel_id

        string — The team chat channel's ID. This field only displays when the file was sent in the chat channel.

      • contact_email

        string, format: email — The email address of the contact. This field only displays when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users

      • contact_id

        string — The file message contact's user ID. This field only display when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users.

      • contact_member_id

        string — The file message contact's member ID. This field only displays when the file was sent in a one-on-one chat between the operator and the contact.

    • operator (required)

      string, format: email — The email address of the user who downloaded the team chat file. This value returns blank for external users.

    • operator_id (required)

      string — The user ID of the user who downloaded the team chat file. This value returns blank for external users.

    • operator_member_id (required)

      string — The member ID of the user who downloaded the team chat file.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "contact_email": "",
      "contact_id": "",
      "contact_member_id": "",
      "channel_id": "",
      "timestamp": 1,
      "file": {
        "file_id": "",
        "file_name": "",
        "file_size": 1,
        "file_type": "",
        "file_owner_id": "",
        "file_owner_member_id": ""
      }
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.dm_message_posted

  • Method: POST
  • Path: team_chat.dm_message_posted
  • Tags: webhook

The Team Chat DM message posted event triggers when a message is received in a DM chat.

Users can manually send messages using the Zoom desktop client or the Zoom mobile app. Users can also send messages programmatically using the Send a Chat Message API.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat DM message posted subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who triggered the action.If this action is performed by an external user, the value of the `account_id` will be an empty string.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — The Iiformation about the message.

      • contact_account_id (required)

        string — The message contact's account ID.The value will be an empty string if this info is from an external user.

      • contact_email (required)

        string, format: email — The email address of the contact to whom the message was sent.

      • contact_id (required)

        string — The message contact's user ID.The value will be an empty string if this info is from an external user.

      • contact_member_id (required)

        string — The message contact's member ID.

      • date_time (required)

        string, format: date-time — The date and time at which the message was sent, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • message_id (required)

        string — The message's ID.

      • session_id (required)

        string — The chat session's unique ID.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the message was sent.

      • files

        array — The attachment file's info in sent message's content.

        Items:
        • file_id (required)

          string — The attachment file's universally unique identifier (UUID), in base64-encoded format.

        • file_message_type (required)

          string, possible values: "file", "image", "audio", "audio v2", "code snippet", "screen shot" — The attachment file's message type

        • file_name (required)

          string — The attachment file's name.

        • file_size (required)

          integer — The attachment file's size, in bytes.

        • OS_file_type (required)

          string — The attachment file's extension type

      • message

        string — The sent message's content.If this event only occurs when sending a file, the value of the `message` will not exist.

      • reply_main_message_id

        string — The ID of the parent message in the chat thread.It's only available if the message is a reply to a main message in a thread.

      • rich_text

        array — The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages)object. Use this object to include rich text info in sent message's content.

        Items:
        • end_position (required)

          integer — The end position of the rich text.

        • format_type (required)

          string, possible values: "Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink" — The type of rich text.

        • start_position (required)

          integer — The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0.

        • format_attr

          string — This field is non-null if the value of the `format_type` field is listed below: 1.`FontSize` value: `s` for small, `m` for medium, or `l` for large font size. 2.`FontColor` and `BackgroundColor` value: only supports RGB value. For example: `FFC0CB` 3.`LeftIndent` value: a positive pixel length. 4.`Paragraph` value: `h1` for Heading 1, `h2` for Heading 2, or `h3` for Heading 3. 5.`AddLink` value: must be a valid URL, with an `http` or `https` prefix. For example: `https://example.com`

    • operator (required)

      string, format: email — The email address of the user who triggered the action.

    • operator_id (required)

      string — The user ID of the user who triggered the action.If this action is performed by an external user, the value of the `operator_id` will be an empty string.

    • operator_member_id (required)

      string — The member ID of the user who triggered the action.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "message_id": "",
      "reply_main_message_id": "",
      "session_id": "",
      "date_time": "",
      "timestamp": 1,
      "contact_email": "",
      "contact_id": "",
      "contact_account_id": "",
      "contact_member_id": "",
      "message": "",
      "files": [
        {
          "OS_file_type": "",
          "file_id": "",
          "file_message_type": "file",
          "file_name": "",
          "file_size": 1
        }
      ],
      "rich_text": [
        {
          "start_position": 1,
          "end_position": 1,
          "format_type": "Bold",
          "format_attr": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.shared_spaces_edited

  • Method: POST
  • Path: team_chat.shared_spaces_edited
  • Tags: webhook

The Space has been edited event triggers the settings of shared space changes.

Prerequisites

  • A Pro or higher plan.
  • Event Subscriptions must be enabled for your Marketplace app with the following configurations:
    • A valid Event notification ndpoint URL
    • The Space has been edited subscription must be enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who edited the space. This value returns an empty string for external users.

    • object (required)

      object

      • new_settings (required)

        object — Information about the shared space's new settings.

        • desc (required)

          string — The new/unchanged description of the space.

        • name (required)

          string — The new/unchanged name of the space.

        • option (required)

          object — The new/unchanged option of the space.

          • add_external_users (required)

            string, possible values: "disabled", "by_same_org", "by_owner_and_admins", "by_any_member" — Who is able to add external users to the shared space, if at all.

          • add_new_channels (required)

            string, possible values: "by_owner_and_admins", "by_any_member" — Who is able to add channels to the shared space.

          • add_new_members (required)

            string, possible values: "by_owner_and_admins", "by_any_member" — Who is able to add members to the shared space.

          • is_public (required)

            boolean — Whether or not the shared space is public.

      • old_settings (required)

        object — Information about the shared space's old settings.

        • desc (required)

          string — The old/unchanged description of the space.

        • name (required)

          string — The old/unchanged name of the space.

        • option (required)

          object — The old/unchanged option of the space.

          • add_external_users (required)

            string, possible values: "disabled", "by_same_org", "by_owner_and_admins", "by_any_member" — Who was able to add external users to the shared space, if at all.

          • add_new_channels (required)

            string, possible values: "by_owner_and_admins", "by_any_member" — Who was able to add channels to the shared space.

          • add_new_members (required)

            string, possible values: "by_owner_and_admins", "by_any_member" — Who was able to add members to the shared space.

          • is_public (required)

            boolean — Whether or not the shared space was public.

      • space_id (required)

        string — The ID of the space.

      • timestamp

        integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

    • operator (required)

      string, format: email — The email address of the user who who edited the space. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who edited the space. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who edited the space.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "space_id": "",
      "new_settings": {
        "name": "",
        "desc": "",
        "option": {
          "is_public": true,
          "add_new_members": "by_owner_and_admins",
          "add_new_channels": "by_owner_and_admins",
          "add_external_users": "disabled"
        }
      },
      "old_settings": {
        "name": "",
        "desc": "",
        "option": {
          "is_public": true,
          "add_new_members": "by_owner_and_admins",
          "add_new_channels": "by_owner_and_admins",
          "add_external_users": "disabled"
        }
      },
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.updated

  • Method: POST
  • Path: chat_channel.updated
  • Tags: webhook

The Chat Channel Updated event is triggered when a chat channel administrator updates a channel's information. A chat channel administrator can edit a channel's information, such as the channel's name or the channel's type (public or private).

You can update a chat channel's information manually using either the Zoom desktop client or the Zoom mobile app. You can also update a channel programmatically using the Update a Channel API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Chat Channel Updated subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who updated the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the chat channel was updated, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The chat channel's update timestamp.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who updated the chat channel.

    • operator_id (required)

      string — The user ID of the user who updated the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_app_added

  • Method: POST
  • Path: team_chat.channel_app_added
  • Tags: webhook

The Team Chat channel app added event triggers when some chat bot apps are added to a chat channel

Any chat channel member can add chat bots to join the channel.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat channel app added subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who added the chat bot to the chat channel. This value returns an empty string for external users.

    • object (required)

      object — Information about the chat channel.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • date_time (required)

        string, format: date-time — The date and time at which the chat bot was added to the chat channel, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat bot was added to the chat channel.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • app_members

        array — Information about added chat bot app members.

        Items:
        • display_name (required)

          string — The chat bot app display name.

        • id (required)

          string — the chat bot app member’s id.

    • operator (required)

      string, format: email — The email address of the user who added the chat bot to the chat channel. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who added the chat bot to the chat channel. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who added the chat bot to the chat channel.

    • by_external_user

      boolean — Whether this action was performed by an external user.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "channel_name": "",
      "channel_id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1,
      "app_members": [
        {
          "id": "",
          "display_name": ""
        }
      ]
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.starred

  • Method: POST
  • Path: team_chat.starred
  • Tags: webhook

The Session starred event triggers when user stars some contacts and channels.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Session starred subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who starred the sessions.

    • object (required)

      object — Information about the starred sessions.

      • date_time (required)

        string, format: date-time — The date and time at which the sessions were starred, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • items (required)

        array — The sessions' info.

        Items:
        • type (required)

          string, possible values: "contact", "channel" — The session's type.

        • channel_id

          string — The ID of the channel. Only when the `type` is `channel`, the payload will include the `channel_id`.

        • contact_email

          string, format: email — The email address of the contact. Only when the `type` is `contact`, the payload will include the `contact_email`.

        • contact_id

          string — The user ID of the contact. Only when the `type` is `contact`, the payload will include the `contact_id`. If this contact is an external user, the `contact_id` will be an empty string.

        • contact_member_id

          string — The member ID of the contact. Only when the `type` is `contact`, the payload will include the `contact_member_id`.

        • is_external_user

          boolean — Whether this contact is an external user. Only when the `type` is `contact`, the payload will include the `is_external_user`.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the sessions were starred.

    • operator (required)

      string, format: email — The email address of the user who starred the sessions.

    • operator_id (required)

      string — The user ID of the user who starred the sessions.

    • operator_member_id (required)

      string — The member ID of the user who starred the sessions.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "items": [
        {
          "type": "contact",
          "channel_id": "",
          "contact_email": "",
          "contact_id": "",
          "contact_member_id": "",
          "is_external_user": true
        }
      ],
      "date_time": "",
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_message_deleted

  • Method: POST
  • Path: team_chat.channel_message_deleted
  • Tags: webhook

This event triggers when a message is deleted in a chat channel.

Users can manually delete messages using the Zoom desktop client or the Zoom mobile app. Users can also delete messages programmatically using the Delete a message API.

Prerequisites

  • A Pro or a higher plan.
  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • Team Chat channel message deleted subscription is enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who triggered the action.If this action is performed by an external user, the value of the `account_id` will be an empty string.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — The information about the message.

      • channel_id (required)

        string — The chat channel's ID.

      • channel_name (required)

        string — The chat channel's name.

      • channel_owner_account_id (required)

        string — The chat channel owner’s account ID.The value will be an empty string if this info is from an external user.

      • date_time (required)

        string, format: date-time — The date and time at which the message was sent, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • message_id (required)

        string — The message's ID.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the message was sent.

      • reply_main_message_id

        string — The ID of the parent message in the chat thread.It's only available if the message is a reply to a main message in a thread.

    • operator (required)

      string, format: email — The email address of the user who triggered the action.If this action is performed by an external user, the value of the `operator` will be an empty string.

    • operator_id (required)

      string — The user ID of the user who triggered the action.If this action is performed by an external user, the value of the `operator_id` will be an empty string.

    • operator_member_id (required)

      string — The member ID of the user who triggered the action.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "by_external_user": true,
    "object": {
      "message_id": "",
      "date_time": "",
      "timestamp": 1,
      "channel_id": "",
      "channel_owner_account_id": "",
      "channel_name": "",
      "reply_main_message_id": ""
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.created

  • Method: POST
  • Path: chat_channel.created
  • Tags: webhook

The Chat Channel Created event is triggered when a user creates a chat channel.

Zoom users can create private and public chat channels for group messaging, file sharing, and instant group meetings.

You can create a chat channel manually using either the Zoom desktop client or the Zoom mobile app. You can also create a channel programmatically using the Create a Channel API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Chat Channel Created subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the chat channel was created, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • members (required)

        array — Information about the chat channel's members.

        Items:
        Any of:
        • display_name (required)

          string — The member's display name.

        • id (required)

          string — The member's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The chat channel's creation timestamp.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who created the chat channel.

    • operator_id (required)

      string — The user ID of the user who created the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1,
      "members": [
        {
          "id": "",
          "display_name": ""
        }
      ]
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.member_invited

  • Method: POST
  • Path: chat_channel.member_invited
  • Tags: webhook

The Member Invited event is triggered when a user is invited to a chat channel.

A chat channel administrator or an existing member of a channel can invite other users to join a channel.

You can invite members to a chat channel manually using either the Zoom desktop client or the Zoom mobile app. You can also invite a member programmatically using the Invite Channel Members API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Member Invited subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who invited the user to join the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the user was invited to join the chat channel, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • members (required)

        array — Information about the chat channel's members.

        Items:
        Any of:
        • display_name (required)

          string — The member's display name.

        • id (required)

          string — The member's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the user was invited to join the chat channel.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who invited the user to join the chat channel.

    • operator_id (required)

      string — The user ID of the user who invited the user to join the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1,
      "members": [
        {
          "id": "",
          "display_name": ""
        }
      ]
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_invitation_accepted

  • Method: POST
  • Path: team_chat.channel_invitation_accepted
  • Tags: webhook

The Team Chat channel invitation accepted event triggers when a user accepted the chat channel invitation which previously sent to him .

Prerequisites

  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat channel invitation accepted subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who accepted the chat channel invitation. This value returns an empty string for external users.

    • object (required)

      object — Information about the invitation.

      • invitee (required)

        object — Information about the invitee.

        • display_name (required)

          string — The display name of the user who is invited.

        • member_id

          string — The member ID of the user who is invited.

        • user_email

          string, format: email — The email address of the user who is invited. This value returns an empty string for external users.

      • inviters (required)

        array — Information about the inviters.

        Items:
        • date_created (required)

          string, format: date-time — The date and time at which the user created the chat channel invitation, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

        • display_name (required)

          string — The display name of the user created invited the chat channel invitation.

        • member_id (required)

          string — The member ID of the user who created the chat channel invitation.

        • user_email (required)

          string, format: email — The email address of the user created invited the chat channel invitation. This value returns an empty string for external users.

        • user_id (required)

          string — The user ID of the user who created the chat channel invitation. This value returns an empty string for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the chat channel invitation was accepted.

      • channel

        object — Information about the chat channel. This object is blank for external channel.

        • channel_id (required)

          string — The chat channel's ID.

        • channel_name (required)

          string — The chat channel's name.

        • type (required)

          integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

      • date_time

        string, format: date-time — The date and time at which the chat channel invitation was accepted, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • organization

        object — Information about organization of channel owner. This object is blank for external organization.

        • org_id (required)

          string — The organization's ID.

        • org_name (required)

          string — The organization's name.

    • operator (required)

      string, format: email — The email address of the user who accepted the chat channel invitation. This value returns an empty string for external users.

    • operator_id (required)

      string — The user ID of the user who accepted the chat channel invitation. This value returns an empty string for external users.

    • operator_member_id (required)

      string — The member ID of the user who accepted the chat channel invitation.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operator_member_id": "",
    "object": {
      "organization": {
        "org_id": "",
        "org_name": ""
      },
      "channel": {
        "channel_id": "",
        "channel_name": "",
        "type": 1
      },
      "invitee": {
        "display_name": "",
        "user_email": "",
        "member_id": ""
      },
      "inviters": [
        {
          "user_id": "",
          "display_name": "",
          "user_email": "",
          "member_id": "",
          "date_created": ""
        }
      ],
      "date_time": "",
      "timestamp": 1
    }
  }
}

Responses

Status: 200 Successfully received the webhook event.

chat_channel.member_left

  • Method: POST
  • Path: chat_channel.member_left
  • Tags: webhook

The Member Left event is triggered when a user leaves a chat channel. A member of a chat channel can leave the channel at any time. After a member leaves a channel, the user loses access to all chat channel messages.

Members can leave a channel manually using either the Zoom desktop client or the Zoom mobile app. Members can also leave a channel programmatically using the Leave a Channel API.

Prerequisites

  • A Pro or a higher plan.
  • Event Subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event Notification Endpoint URL.
    • The Member Left subscription enabled under the Chat Channel event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp, in milliseconds since epoch, at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who left the chat channel.

    • object (required)

      object — Information about the chat channel.

      • date_time (required)

        string, format: date-time — The date and time at which the user left the chat channel, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • id (required)

        string — The chat channel's unique ID.

      • name (required)

        string — The chat channel's name.

      • timestamp (required)

        integer, format: int64 — The timestamp for when the user left the chat channel.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5 — The type of chat channel: * `1` — Private chat channel. Only invited members can join. * `2` — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * `3` — Public chat channel. Anyone can search for and join this chat channel. * `4` — An instant channel. This type of channel is created by adding members to a new chat. * `5` — A public channel. Anyone can join this channel and invite members from other Zoom accounts.

    • operator (required)

      string, format: email — The email address of the user who left the chat channel.

    • operator_id (required)

      string — The user ID of the user who left the chat channel.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "object": {
      "name": "",
      "id": "",
      "type": 1,
      "date_time": "",
      "timestamp": 1
    },
    "operator_id": ""
  }
}

Responses

Status: 200 Successfully received the webhook event.

team_chat.channel_join_requested

  • Method: POST
  • Path: team_chat.channel_join_requested
  • Tags: webhook

The Team Chat channel join requested event triggers when a user requested to join into a team chat channel. One user can request to join a chat channel through deeplink and sharelink. For the deeplink, it's designed for the internal user. The private channel needs the channel owner to approve the request. For the share link, it's both designed for the internal and external user. For the external user, it needs the channel owner and account admin to approve.

Prerequisites

  • Event subscriptions must be enabled for your OAuth app with the following configurations:
    • A valid Event notification endpoint URL.
    • The Team Chat channel join requested subscription enabled under the Team Chat event.

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who requested to join this channel. This value returns an empty string for external users.

    • by_external_user (required)

      boolean — Whether this action was performed by an external user.

    • object (required)

      object — Information about the request.

      • date_time (required)

        string, format: date-time — The date and time at which the user who requested to join this channel, in `yyyy-MM-dd'T'HH:mm:ss'Z'` format.

      • requester (required)

        object — Information about the requster.

        • display_name (required)

          string — The display name of the user who requested to join this channel.

        • member_id (required)

          string — The member ID of the user who requested to join this channel.

        • user_email (required)

          string, format: email — The email address of the user who requested to join this channel. This value returns an empty string for external users

        • user_id (required)

          string — The user ID of the user who requested to join this channel. This value returns an empty string for external users.

      • timestamp (required)

        integer, format: int64 — The timestamp for when user requested to join this channel.

      • channel

        object — Information about the chat channel. This object is blank for external channel.

        • channel_id (required)

          string — The chat channel's ID.

        • channel_name (required)

          string — The chat channel's name.

        • type (required)

[...]
